Skip to main content

Merchant-Initiated Authorization for Debt Recovery


Use this information to process a merchant-initiated authorization for debt recovery with stored card data.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "comments": "TransitDA Debt recovery MIT auth",    "code": "10000596",    "transactionId": "20000596",    "partner": {      "thirdPartyCertificationNumber": "BPCDRC220403",      "solutionId": "548UHQ8Z"    }  },  "processingInformation": {    "commerceIndicator": "moto",    "industryDataType": "transit",    "authorizationOptions": {      "debtRecoveryIndicator": "true",      "ignoreAvsResult": "true",      "ignoreCvResult": "true",      "initiator": {        "type": "merchant",        "credentialStoredOnFile": "false",        "storedCredentialUsed": "true",        "merchantInitiatedTransaction": {          "reason": "1",          "previousTransactionId": "016153570198200"        }      }    }  },  "paymentInformation": {    "card": {      "number": "476173XXXXXXXXXX",      "expirationMonth": "12",      "expirationYear": "2024",      "type": "001"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "10.00",      "currency": "EUR"    }  }}
{  "_links": {    "self": {      "method": "GET",      "href": "/pts/v2/payments/6508883374816631904001"    }  },  "clientReferenceInformation": {    "code": "10000596",    "partner": {      "solutionId": "548UHQ8Z"    },    "transactionId": "20000596"  },  "errorInformation": {    "reason": "PROCESSOR_DECLINED",    "message": "Decline - General decline of the card. No other information provided by the issuing bank."  },  "id": "6508883374816631904001",  "pointOfSaleInformation": {    "emv": {      "tags": "9F36020015910AB58D60185BEF0247303072179F180430303031860E04DA9F580903B1BAEDFD1438BA48"    }  },  "processorInformation": {    "systemTraceAuditNumber": "164869",    "networktransactionId": "016153570198200",    "retrievalReferenceNumber": "211512164869",    "transactionId": "016153570198200",    "responseCode": "05",    "avs": {      "code": "1"    }  },  "status": "DECLINED"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet this field to TransitDA Debt recovery MIT auth.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.number
paymentInformation.card.type
processingInformation.authorizationOptions.debtRecoveryIndicatorSet this field to true.
processingInformation.authorizationOptions.ignoreAvsResultSet this field to true.
processingInformation.authorizationOptions.ignoreCvResultSet this field to true.
processingInformation.authorizationOptions.initiator.credentialStoredOnFileSet this field to false.
processingInformation.authorizationOptions.initiator. merchantInitiatedTransaction.previousTransactionId
processingInformation.authorizationOptions.initiator. merchantInitiatedTransaction.reasonSet this field to 1.
processingInformation.authorizationOptions.initiator.storedCredentialUsedSet this field to true.
processingInformation.authorizationOptions.initiator.typeSet this field to merchant.
processingInformation.commerceIndicatorSet this field to moto.
processingInformation.industryDataTypeSet this field to transit.

Last published: September 29, 2026